CPIO(1)

NUME
cpio - copiază fișiere în și din arhive

SINOPSIS
cpio {-o|--create} [-0acvABLV] [-C OCTEȚI] [-H FORMAT] [-M MESAJ] [-O [[UTILIZATOR@]GAZDĂ:]ARHIVĂ] [-F [[UTILIZATOR@]GAZDĂ:]ARHIVĂ] [--file=[[UTILIZATOR@]GAZDĂ:]ARHIVĂ] [--format=FORMAT] [--message=MESAJ] [--null] [--reset-access-time] [--verbose] [--dot] [--append] [--block-size=blocuri] [--dereference] [--io-size=OCTEȚI] [--quiet] [--force-local] [--rsh-command=COMANDĂ] < listă-nume [> arhivă] cpio {-i|--extract} [-bcdfmnrtsuvBSV] [-C OCTEȚI] [-E FIȘIER] [-H FORMAT] [-M MESAJ] [-R [UTILIZATOR][:.][GRUP]] [-I [[UTILIZATOR@]GAZDĂ:]ARHIVĂ] [-F [[UTILIZATOR@]GAZDĂ:]ARHIVĂ] [--file=[[UTILIZATOR@]GAZDĂ:]ARHIVĂ] [--make-directories] [--nonmatching] [--preserve-modification-time] [--numeric-uid-gid] [--rename] [--list] [--swap-bytes] [--swap] [--dot] [--unconditional] [--verbose] [--block-size=BLOCURI] [--swap-halfwords] [--io-size=OCTEȚI] [--pattern-file=FIȘIER] [--format=FORMAT] [--owner=[UTILIZATOR][:.][GRUP]] [--no-preserve-owner] [--message=MESAJ] [--force-local] [--no-absolute-filenames] [--sparse] [--only-verify-crc] [--to-stdout] [--quiet] [--rsh-command=COMANDĂ] [model...] [< arhivă] cpio {-p|--pass-through} [-0adlmuvLV] [-R [UTILIZATOR][:.][GRUP]] [--null] [--reset-access-time] [--make-directories] [--link] [--quiet] [--preserve-modification-time] [--unconditional] [--verbose] [--dot] [--dereference] [--owner=[UTILIZATOR][:.][GRUP]] [--no-preserve-owner] [--sparse] director-destinație < listă-nume cpio {-?|--help|--usage|--version}

NOTĂ
Această pagină de manual este o scurtă descriere a GNU cpio. Pentru o discuție detaliată, inclusiv exemple și recomandări de utilizare, consultați manualul GNU Cpio Manual disponibil în format texinfo. Dacă cititorul info și documentația cpio sunt instalate corect în sistemul dumneavoastră, comanda

    info cpio

ar trebui să vă permită accesul la manualul complet.

De asemenea, puteți vizualiza manualul folosind modul info din emacs(1) sau îl puteți găsi în diverse formate online la adresa

    http://www.gnu.org/software/cpio/manual

În cazul în care apar discrepanțe între această pagină de manual și manualul GNU Cpio Manual, acesta din urmă va fi considerat sursa care are autoritate.

DESCRIERE
GNU cpio copiază fișiere între arhive și directoare. Suportă următoarele formate de arhivă: cpio binar vechi, cpio portabil vechi, cpio SVR4 cu și fără sumă de control, cpio HP și diverse formate tar.

Modul de funcționare este solicitat de una dintre următoarele opțiuni:

-o, --create
    Copiază către arhivă «copy-out». Citește o listă de nume de fișiere de la intrarea standard și creează la ieșirea standard (cu excepția cazului în care este suprascrisă de opțiunea --file) o arhivă care conține aceste fișiere.

-i, --extract
    Copiază din arhivă «copy-in». Citește arhiva de la intrarea standard (sau din fișierul furnizat cu opțiunea -fișier) și extrage fișiere din ea sau (dacă este furnizată opțiunea -t) listează conținutul acesteia la ieșirea standard. Dacă sunt furnizate unul sau mai multe modele, se citesc sau se listează numai fișierele care corespund acestor modele. Opțiunea -t singură implică -i.

-p, --pass-through
    Copiază dintr-o listă „copy-pass-through”. Citește o listă de nume de fișiere de la intrarea standard și le copiază în directorul specificat.

-?, --help
    Oferă un mesaj sumar de ajutor și iese.

--usage
    Afișează un mesaj scurt de utilizare și iese.

--version
    Afișează versiunea programului și iese.

OPȚIUNI

  Modificatori de operație valabili în orice mod

--block-size=DIMENSIUNE-BLOC
    Stabilește dimensiunea blocului de In/Ieș la DIMENSIUNE-BLOC * 512 octeți.

-B  Stabilește dimensiunea blocului de In/Ieș la 5120 octeți.

-c  Utilizează vechiul format de arhivă portabilă (ASCII). Acesta este același cu -H odc.

-C, --io-size=NUMĂR
    Stabilește dimensiunea blocului de In/Ieș la NUMĂRUL de octeți specificat.

-D, --directory=DIRECTOR
    Schimbă la directorul DIRECTOR.

--force-local
    Fișierul arhivă este local, chiar dacă numele său conține două puncte „:”.

-H, --format=FORMAT
    Utilizează FORMATUL de arhivă dat. Formatele valide sunt (numărul din paranteze indică dimensiunea maximă pentru fiecare membru al arhivei):

    bin Formatul binar învechit. (2147483647 octeți)

    odc Vechiul format portabil (POSIX.1). (8589934591 octeți)

    newc
        Noul format portabil (SVR4), care acceptă sisteme de fișiere cu mai mult de 65536 noduri-i. (4294967295 octeți)

    crc Noul format portabil (SVR4) cu o sumă de control adăugată.

    tar Vechiul format tar (8589934591 octeți).

    ustar
        Formatul tar POSIX.1. Recunoaște, de asemenea, arhivele GNU tar, care sunt similare, dar nu identice. (8589934591 octeți)

    hpbin
        Formatul binar învechit utilizat de cpio de la HPUX (care stochează diferit fișierele de dispozitiv).

    hpodc
        Formatul portabil utilizat de cpio de la HPUX (care stochează diferit fișierele de dispozitiv).

-R, --owner=[UTILIZATOR][:.][GRUP]
    În modurile «copy-in» și «copy-pass», stabilește proprietatea tuturor fișierelor create la UTILIZATOR și/sau GRUP specificați. În modul «copy-out», stochează în arhivă informațiile furnizate despre proprietar. UTILIZATOR și GRUP se caută mai întâi în bazele de date ale utilizatorilor și grupurilor din sistem. Dacă nu sunt găsite, cpio verifică dacă sunt formate numai din cifre zecimale și, în caz afirmativ, le tratează ca UID și GID numerice, în mod corespunzător. Pentru a evita căutarea și pentru a vă asigura că argumentele sunt tratate ca valori numerice, prefixați-le cu un semn plus, de exemplu: -R +0:+0.

--quiet
    Nu afișează numărul de blocuri copiate la sfârșitul rulării.

--rsh-command=COMANDA
    Utilizează COMANDA de la distanță în loc de rsh.

-v, --verbose
    Afișează informații detaliate despre fișierele procesate.

-V, --dot
    Afișează un punct „.” pentru fiecare fișier procesat.

-W, --warning=FANION
    Controlează ce avertismente sunt afișate. FANION este unul dintre none, pentru a dezactiva toate avertismentele, all pentru a le activa, truncate, pentru a activa avertismentele privind trunchierea câmpurilor, și no-truncate, pentru a le dezactiva. Sunt permise mai multe opțiuni -W în linia de comandă.

  Opțiuni valabile în modurile «copy-in» și «copy-out»:

-F, --file=[[UTILIZATOR@]GAZDA:]FIȘIER-ARHIVĂ
    Utilizează acest FIȘIER-ARHIVĂ în loc de intrarea standard (în modul «copy-in») sau ieșirea standard (în modul «copy-out»). Opțional, UTILIZATOR și GAZDA specifică numele utilizatorului și al gazdei în cazul unei arhive la distanță.

-M, --message=ȘIR
    Afișează ȘIRUL când se ajunge la sfârșitul unui volum, al suportului media de rezervă.

  Opțiuni valabile doar în modul «copy-in»:

-b, --swap
    Schimbă atât jumătăți de cuvinte din cuvinte, cât și octeți de jumătăți de cuvinte din date. Similară cu -sS.

-f, --nonmatching
    Copiază numai fișierele care nu se potrivesc cu niciunul dintre modelele date.

-n, --numeric-uid-gid
    Afișează valorile numerice ale UID și GID în lista detaliată.

-r, --rename
    Redenumește fișierele în mod interactiv.

-s, --swap-bytes
    Schimbă octeții fiecărei jumătăți de cuvânt din fișiere.

-S, --swap-halfwords
    Schimbă jumătățile de cuvinte ale fiecărui cuvânt (4 octeți) din fișiere.

--to-stdout
    Extrage fișierele la ieșirea standard.

-E, --pattern-file=FIȘIER
    Citește modele suplimentare care specifică nume de fișiere de extras sau listat din FIȘIER.

--only-verify-crc
    Când citește o arhivă în format CRC, verifică doar sumele de control ale fiecărui fișier din arhivă, nu extrage de fapt fișierele.

  Opțiuni valabile doar în modul «copy-out»:

-A, --append
    Adaugă în arhiva existentă.

--device-independent, --reproducible
    Creează arhive reproductibile. Aceasta este echivalentă cu --ignore-devno --ignore-dirnlink --renumber-inodes.

--ignore-devno
    Stochează 0 în câmpul numărului de dispozitiv al fiecărui membru al arhivei, în loc de numărul real al dispozitivului.

--ignore-dirnlink
    Stochează 2 în câmpul nlink (număr-legături) al fiecărui membru al arhivei de directoare, în loc de numărul real de legături.

-O [[UTILIZATOR@]GAZDA:]NUME-ARHIVĂ
    Utilizează NUME-ARHIVĂ în loc de ieșirea standard. Opțional, UTILIZATOR și GAZDA specifică numele utilizatorului și al gazdei în cazul unei arhive la distanță. Numele arhivei de ieșire poate fi specificat fie folosind această opțiune, fie folosind -F (--file), dar nu ambele.

--renumber-inodes
    Renumerotează nodurile-i atunci când le stochează în arhivă.

  Modificatori de operație valabili numai în modul «copy-pass»

-l, --link
    Dacă este posibil, leagă fișierele în loc să le copieze.

  Opțiuni valabile în modurile «copy-in» și «copy-out»:

--absolute-filenames
    Nu elimină componentele prefixului sistemului de fișiere din numele fișierelor. Aceasta este opțiunea implicită.

--no-absolute-filenames
    Creează toate fișierele cu elementele de rută,relative la directorul curent.

  Modificatori de operație valabili în modurile «copy-out» și «copy-pass»:

-0, --null
    Numele fișierelor din listă sunt delimitate de caractere null în loc de linii noi.

-a, --reset-access-time
    Restabilește marcajele de timp de accesare a fișierelor, după ce le citește.

-I [[UTILIZATOR@]GAZDA:]NUME-ARHIVĂ
    Utilizează NUME-ARHIVĂ în loc de intrarea standard. Opțional, UTILIZATOR și GAZDA specifică numele utilizatorului și al gazdei în cazul unei arhive la distanță. Numele arhivei de intrare poate fi specificat fie folosind această opțiune, fie folosind -F (--file), dar nu ambele.

-L, --dereference
    Dereferențiază legăturile simbolice (copiază fișierele la care acestea indică în loc să copieze legăturile).

  Modificatori de operație valabili în modurile «copy-in» și «copy-pass»:

-d, --make-directories
    Creează directoare principale acolo unde este necesar.

-m, --preserve-modification-time
    Păstrează marcajele de timp anterioare de modificare a fișierelor atunci când creează fișiere.

--no-preserve-owner
    Nu schimbă proprietarul fișierelor.

--sparse
    Scrie fișierele cu blocuri mari de zerouri ca fișiere disperse.

-u, --unconditional
    Înlocuiește necondiționat toate fișierele.

VALOAREA RETURNATĂ
GNU cpio iese cu codul 0 dacă a reușit să finalizeze cu succes operația solicitată. În caz de eroare, iese cu codul 2.

CONSULTAȚI ȘI
tar(1), rmt(8), mt(1).

RAPORTAREA ERORILOR
Raportați erorile la: <bug-cpio@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2014--2023 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <http://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.